$(document).ready(function () {

    var table = $('#myTable').DataTable({
        "scrollX": true,
        "order": [],
        "columns": [
            { "data": "reference_no" },
            { "data": "supplier" },
            { "data": "date" },
            { "data": "edit", className: "edit" },
            { "data": "view", className: "view" },
            { "data": "print", className: "print" },
            { "data": "approve", className: "approve" },
            { "data": "delete", className: "delete" },
        ],
        columnDefs: [
            { width: 200, targets: 0 },
            { width: 200, targets: 2 },
            { width: 30, targets: 3 },
            { width: 30, targets: 4 },
            { width: 30, targets: 5 },
            { width: 30, targets: 6 },
            { width: 30, targets: 7 }
        ],
    });
    //table.column(6).visible(false);
    allPurchaseOrder();

});


function allPurchaseOrder() {
    $.ajax({
        type: "GET",
        url: "/sc/purchaseOrderListController/allPurchaseOrder",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            if (response.data.success) {
                var data = [];

                for (i = 0; i < response.data.result.length; i++) {
                    var id = response.data.result[i]['internal_id'];
                    var reference_no = response.data.result[i]['external_id'];
                    var name = response.data.result[i]['employee_name'];
                    var designation = response.data.result[i]['trans_date'];
                    var status = response.data.result[i]['status'];
                    var string_id = "'" + id + "'";

                    var approve_icon = '';
                    var disabled = "";
                    if (status == 1) {
                        approve_icon = '<i class="fa fa-check-circle-o fa-3x text-success" aria-hidden="true"></i>';
                        disabled = "disabled";
                    } else if (status == 2) {
                        approve_icon = '<i class="fa fa-times-circle-o fa-3x text-danger" aria-hidden="true"></i>';
                        disabled = "disabled";
                    }

                    data.push({
                        "reference_no": reference_no,
                        "supplier": name,
                        "date": designation,
                        "edit": '<button class="btn btn-primary" onclick="edit(' + string_id + ')"  ' + disabled + '><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "view": '<button class="btn btn-success" onclick="view(' + string_id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "print": '<button class="btn btn-success" onclick="print(' + string_id + ')"><i class="fa fa-print" aria-hidden="true"></i></button>',
                        "approve": approve_icon,
                        "delete": '<button class="btn btn-danger" onclick="delete_confirmation(' + string_id + ')" ' + disabled + '><i class="fa fa-trash" aria-hidden="true"></i></button>'
                    });
                }

                var table = $('#myTable').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        },

        error: function (error) {
            console.log(error);


        },
        complete: function () {

        }

    });
}


function edit(id) {
    location.href = "/sc/PurchaseOrder?id=" + id + "&action=edit";
}



function view(id) {
    location.href = "/sc/PurchaseOrder?id=" + id + "&action=view";
}



function _delete(id) {

    $.ajax({
        type: 'DELETE',
        url: '/sc/purchaseOrderListController/deletePurchaseOrder/' + id,
        data: {
            _token: $('input[name=_token]').val()
        },
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage("Purchase Request has been deleted successfully...");
                allPurchaseOrder();

            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }



    });


}






function print(id) {

    $.ajax({
        type: "GET",
        url: "/sc/purchaseOrderListController/purchaseOrderReport/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            //$('.btn').prop("disabled", true);
            //document.getElementById('btnPrint').innerHTML = '<i class="fa fa-circle-o-notch fa-spin"></i>';
        },
        success: function (response) {
            console.log(response);
            var result = response.data.result;
            console.log(result);
            purchaseOrderReport(result, 'PRINT');

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {
            //$('#btnPrint').text('Print');
            //$('.btn').prop("disabled", false);
        }

    });

}







function purchaseOrderReport(result, flag) {

    var headerFontSize = 8;
    var Title = [
        { text: '' }
    ];

    var header_data = result.header;


    var Header = [
        {
            content: [

                {
                    table: {
                        widths: ['*'],
                        headerRows: 1,
                        body: [
                            [{ text: Page.getReportName(), fontSize: 16, bold: true, alignment: 'center', border: [false, false, false, false] }],
                            //[{ text: '\n', fontSize: 8, bold: true, alignment: 'center', border: [false, false, false, false] }],
                            [{ text: 'Purchase Order', fontSize: 14, bold: true, alignment: 'center', border: [false, false, false, false] }],
                            [{
                                table: {
                                    widths: ['*', 150],
                                    headerRows: 1,
                                    body: [
                                        [{ text: 'Supplier : ' + header_data.supplier, fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Referance No : ' + header_data.referance_no, fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }],
                                        [{ text: 'Order By : ' + header_data.order_by, fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Date : ' + header_data.date, fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }],
                                        [{ text: '', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Deliver Before : ' + header_data.deliver_before, fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }],
                                        [{ text: '', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Store : ' + header_data.store, fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }],
                                        [{ text: '', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Pay Term : ' + header_data.pay_term, fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }],
                                        [{ text: '', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Order Type : ' + header_data.order_type, fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }],



                                    ],

                                }, border: [false, false, false, false]
                            }],
                        ],

                    },
                    margin: [0, 0],
                },

            ]
        }
    ];



    var footer_data = result.header;
    var Body = [
        {
            table: {
                widths: [50, '*', 50, 50, 50, 50, 50],
                headerRows: 1,
                body: purchaseOrderReportBody(result.body),
                //body:[{text:""},{text:""},{text:""},{text:""}],

            },


        },
        { canvas: [{ type: 'line', x1: 0, y1: 0, x2: 515, y2: 0, lineWidth: 1 }] },
        {
            table: {
                widths: ['*', 80, 80],
                headerRows: 1,
                body: [
                    [{ text: '\n', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: '\n', fontSize: 9, bold: true, alignment: 'left', border: [false, false, false, false] }, { text: '\n', fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, false] }],
                    [{ text: '', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Gross Value : ', fontSize: 9, bold: true, alignment: 'left', border: [false, false, false, false] }, { text: parseFloat(footer_data.gross_value).toFixed(2), fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, false] }],
                    [{ text: '', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Discount : ', fontSize: 9, bold: true, alignment: 'left', border: [false, false, false, false] }, { text: parseFloat(footer_data.discount).toFixed(2), fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, true] }],
                    [{ text: '', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Net Value : ', fontSize: 9, bold: true, alignment: 'left', border: [false, false, false, false] }, { text: parseFloat(footer_data.net_value).toFixed(2), fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, true] }],

                ],

            }
        },
        {
            table: {
                widths: ['*',80, 60, 80],
                headerRows: 1,
                body: [
                    [{ text: '\n', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: '', fontSize: 9, bold: true, alignment: 'left', border: [false, false, false, false] }, { text: '', fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, false] }, { text: '', fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, false] }],
                    [{ text: '\n', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: '', fontSize: 9, bold: true, alignment: 'left', border: [false, false, false, false] }, { text: '', fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, false] }, { text: '', fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, false] }],
                    [{ text: '........................', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: '........................', fontSize: 9, bold: true, alignment: 'center', border: [false, false, false, false] }, { text: '', fontSize: 9, bold: true, alignment: 'center', border: [false, false, false, false] }, { text: '........................', fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, false] }],
                    [{ text: 'Prepared By', fontSize: 9, bold: false, alignment: 'left', border: [false, false, false, false] }, { text: 'Checked By', fontSize: 9, bold: true, alignment: 'center', border: [false, false, false, false] }, { text: '', fontSize: 9, bold: true, alignment: 'center', border: [false, false, false, false] }, { text: 'Authorized By', fontSize: 9, bold: true, alignment: 'right', border: [false, false, false, false] }],

                ],

            }
        },
    ];




    var Footer = [
        {
            color: 'red',
            fontSize: 8,
            alignment: 'center',
            margin: [0, 0]
        }
    ];






    var page = new Page();
    page.setPageSize('A4');
    page.setPageOrientation('portrait');
    page.setPageMargin([10, 10, 10, 10]);
    page.setTitle(Title);
    page.setHeader(Header, Page.EVERY);
    page.setBody(Body);
    page.setFooter(Footer);
    if (flag == 'EXPORT') {
        page.export();
    } else if (flag == 'PRINT') {
        page.preview();
    }
}


function purchaseOrderReportBody(result) {
    var font_size = 8;
    var body = [];
    body.push([{ text: 'Product ID', fontSize: font_size, bold: true, alignment: 'center', border: [true, true, true, true] },
    { text: 'Product Name', fontSize: font_size, bold: true, alignment: 'center', border: [true, true, true, true] },
    { text: 'Unit', fontSize: font_size, bold: true, alignment: 'center', border: [true, true, true, true] },
    { text: 'Qty', fontSize: font_size, bold: true, alignment: 'right', border: [true, true, true, true] },
    { text: 'Price', fontSize: font_size, bold: true, alignment: 'right', border: [true, true, true, true] },
    { text: 'Discount(%)', fontSize: font_size, bold: true, alignment: 'right', border: [true, true, true, true] },
    { text: 'Value', fontSize: font_size, bold: true, alignment: 'right', border: [true, true, true, true] }]);

    var data = result.data;
    for (i = 0; i < data.length; i++) {
        body.push([
            { text: data[i].product_id, fontSize: font_size, alignment: 'center', border: [false, false, false, false] },
            { text: data[i].product, fontSize: font_size, alignment: 'center', border: [false, false, false, false] },
            { text: data[i].unit, fontSize: font_size, alignment: 'center', border: [false, false, false, false] },
            { text: parseFloat(data[i].quantity).toFixed(2), fontSize: font_size, alignment: 'right', border: [false, false, false, false] },
            { text: parseFloat(data[i].price).toFixed(2), fontSize: font_size, alignment: 'right', border: [false, false, false, false] },
            { text: parseFloat(data[i].discount).toFixed(2), fontSize: font_size, alignment: 'right', border: [false, false, false, false] },
            { text: parseFloat(data[i].value).toFixed(2), fontSize: font_size, alignment: 'right', border: [false, false, false, false] },

        ]);
    }
    var other = result.other;
    for (i = 0; i < other.length; i++) {
        body.push([
            { text: "", fontSize: font_size, alignment: 'center', border: [false, false, false, false] },
            { text: other[i].description, fontSize: font_size, alignment: 'center', border: [false, false, false, false] },
            { text: "", fontSize: font_size, alignment: 'center', border: [false, false, false, false] },
            { text: parseFloat(other[i].quantity).toFixed(2), fontSize: font_size, alignment: 'right', border: [false, false, false, false] },
            { text: parseFloat(other[i].price).toFixed(2), fontSize: font_size, alignment: 'right', border: [false, false, false, false] },
            { text: parseFloat(other[i].discount).toFixed(2), fontSize: font_size, alignment: 'right', border: [false, false, false, false] },
            { text: parseFloat(other[i].value).toFixed(2), fontSize: font_size, alignment: 'right', border: [false, false, false, false] },

        ]);
    }
    return body;
}




function delete_confirmation(id) {
    swal({
        title: "Are you sure want delete?",
        //text: "Once deleted, you will not be able to recover this record!",
        icon: "warning",
        buttons: {
            yes: {
                text: "Yes",
                value: true,
                className: 'btn btn-danger',
            },
            no: {
                text: "No",
                value: false,
                className: 'btn btn-primary',
            }
        },

    })
        .then((willDelete) => {
            if (willDelete) {
                _delete(id);
            }
        });

}




/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {
    toastr.success(message);
}


/**
* showWarningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {
    toastr.warning(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage() {
    toastr.error('Something went wrong');
}